Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tonbeller.wcf.toolbar
Class ToolButtonTag

    java.lang.Object
      javax.servlet.jsp.tagext.TagSupport
          com.tonbeller.wcf.toolbar.ToolButtonTag

All Implemented Interfaces:
  javax.servlet.jsp.tagext.IterationTag, java.io.Serializable, javax.servlet.jsp.tagext.Tag

Direct Known Subclasses:
  FormButtonTag, PushButtonTag, ScriptButtonTag

public abstract class ToolButtonTag
extends javax.servlet.jsp.tagext.TagSupport

Author:
  av
See Also:
  Serialized Form

Field Summary

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id, pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`ToolButtonTag()`

Method Summary
`int` | `doStartTag()`
`java.lang.String` | `getImg()` Returns the img.
`java.lang.String` | `getRadioGroup()` Returns the radioGroup.
`java.lang.String` | `getRole()`
`protected abstract ToolButtonModel` | `getToolButtonModel(RequestContext context)` factory method to create the button model
`java.lang.String` | `getTooltip()`
`java.lang.String` | `getVisibleRef()`
`void` | `setImg(java.lang.String img)` Sets the img.
`void` | `setRadioGroup(java.lang.String radioGroup)` Sets the radioGroup.
`void` | `setRole(java.lang.String role)`
`void` | `setTooltip(java.lang.String string)`
`void` | `setVisibleRef(java.lang.String string)`

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`doAfterBody, doEndTag, findAncestorWithClass, getId, getParent, getValue, getValues, release, removeValue, setId, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ToolButtonTag

    public ToolButtonTag()

Method Detail

### getRadioGroup

    public java.lang.String getRadioGroup()

  Returns the radioGroup.

  Returns:
    String

### setRadioGroup

    public void setRadioGroup(java.lang.String radioGroup)

  Sets the radioGroup.

  Parameters:
    `radioGroup` - The radioGroup to set

### doStartTag

    public int doStartTag()
                   throws javax.servlet.jsp.JspException

  Throws:
    `javax.servlet.jsp.JspException`

### getToolButtonModel

    protected abstract ToolButtonModel getToolButtonModel(RequestContext context)
                                                   throws javax.servlet.jsp.JspException

  factory method to create the button model

  Throws:
    `javax.servlet.jsp.JspException`

### getImg

    public java.lang.String getImg()

  Returns the img.

  Returns:
    String

### setImg

    public void setImg(java.lang.String img)

  Sets the img.

  Parameters:
    `img` - The img to set

### getTooltip

    public java.lang.String getTooltip()

  Returns:

### setTooltip

    public void setTooltip(java.lang.String string)

  Parameters:
    `string` -

### setVisibleRef

    public void setVisibleRef(java.lang.String string)

  Parameters:
    `string` -

### setRole

    public void setRole(java.lang.String role)

  Parameters:
    `role` -

### getRole

    public java.lang.String getRole()

  Returns:

### getVisibleRef

    public java.lang.String getVisibleRef()

  Returns:

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD